MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027879Open CASCADE[OCCT] OCCT:DRAWpublic2016-09-17 13:252016-12-09 16:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2015OS Version64 bit
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027879: Draw Harness, ViewerTest - disable VSync within non-interactive mode
DescriptionOpenGL context enables vertical synchronization (VSync) by default since #0025556.
This option is intended to eliminate visual artifacts on the screen within interactive mode, however within non-interactive mode this option makes no sense.

At least on Windows 7 platform, VSync still affects performance in non-interactive mode, when window is not displayed on the screen at all.
This increases time required to perform tests on hardware with fast GPU and potentially affects CPU usage statistics as well.

It is proposed to disable VSync in non-interactive mode.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0057883)
git (administrator)
2016-09-17 13:32

Branch CR27879 has been created by kgv.

SHA-1: 3288d507fd9539ba490f696bbb603bbb70d70800


Detailed log of new commits:

Author: kgv
Date: Sat Sep 17 13:32:13 2016 +0300

    0027879: Draw Harness, ViewerTest - disable VSync within non-interactive mode
(0057884)
kgv (developer)
2016-09-17 13:32

Patch is ready for review.
(0057945)
san (developer)
2016-09-20 12:35

Branch CR27879 reviewed without remarks, ready for testing.
(0057980)
mkv (tester)
2016-09-21 12:06

Dear BugMaster,
Branch CR27879 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3288d507fd9539ba490f696bbb603bbb70d70800

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1149

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91034768 / 89870280 [+1.30%]
Total CPU difference: 19355.999999999796 / 19211.76999999994 [+0.75%]
products component :
Total MEMORY difference: 30046290 / 30009119 [+0.12%]
Total CPU difference: 5078.559999999979 / 5121.159999999977 [-0.83%]

Testing on Windows:
occt component :
Total MEMORY difference: 57204192 / 57211877 [-0.01%]
Total CPU difference: 17982.37567089863 / 18509.12864749872 [-2.85%]
products component :
Total MEMORY difference: 21267638 / 21232183 [+0.17%]
Total CPU difference: 4853.877514399948 / 4959.0221883999575 [-2.12%]

There are no differences in images found by testdiff.
(0057981)
mkv (tester)
2016-09-21 12:07

Dear BugMaster,
Branch CR27879 is TESTED.
(0059523)
git (administrator)
2016-10-28 21:45

Branch CR27879 has been deleted by kgv.

SHA-1: 3288d507fd9539ba490f696bbb603bbb70d70800

- Related Changesets
occt: master 14cb22a1
Timestamp: 2016-09-17 10:32:13
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027879: Draw Harness, ViewerTest - disable VSync within non-interactive mode
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-17 13:25 kgv New Issue
2016-09-17 13:25 kgv Assigned To => kgv
2016-09-17 13:32 git Note Added: 0057883
2016-09-17 13:32 kgv Note Added: 0057884
2016-09-17 13:32 kgv Assigned To kgv => san
2016-09-17 13:32 kgv Status new => resolved
2016-09-17 13:33 kgv Relationship added related to 0025556
2016-09-17 13:33 kgv Description Updated View Revisions
2016-09-20 12:35 san Note Added: 0057945
2016-09-20 12:35 san Assigned To san => bugmaster
2016-09-20 12:35 san Status resolved => reviewed
2016-09-20 12:41 mkv Assigned To bugmaster => mkv
2016-09-21 12:06 mkv Note Added: 0057980
2016-09-21 12:07 mkv Note Added: 0057981
2016-09-21 12:07 mkv Assigned To mkv => bugmaster
2016-09-21 12:07 mkv Status reviewed => tested
2016-09-21 12:07 mkv Test case number => Not needed
2016-09-23 10:21 bugmaster Changeset attached => occt master 14cb22a1
2016-09-23 10:21 bugmaster Status tested => verified
2016-09-23 10:21 bugmaster Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059523
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker